
export const Legend = ({ canvasWidth, canvasHeight, width, height, maxValue, minValue, variable }) => {
  const colors = variable.includes('alertas') || variable.includes('errores') ? [
    {offset:"0%", stopColor:"#ffffcc"},
    {offset:"25%", stopColor:"#fed87a"},
    {offset:"50%", stopColor:"#fd8b3c"},
    {offset:"75%", stopColor:"#e22020"},
    {offset:"100%", stopColor:"#800026"},
  ] : [
    {offset:"0%", stopColor:"#ffffe5"},
    {offset:"25%", stopColor:"#d8efa4"},
    {offset:"50%", stopColor:"#79c678"},
    {offset:"75%", stopColor:"#228645"},
    {offset:"100%", stopColor:"#004529"},
  ];
  return (
    <>
    <linearGradient id="gradient">
      {colors.map(c => <stop offset={c.offset} stopColor={c.stopColor}/>)}
		</linearGradient>
  	<rect x={canvasWidth - width * 2} y={canvasHeight - height * 3} width={width+15} height={height} style={{fill:'url(#gradient)', position: "absolute", bottom: "0"}}></rect>
    <text x={canvasWidth - width * 2} y={canvasHeight - height} style={{ fontSize: "0.75rem" }}>{`Promedio de ${variable}`}</text>
    <text x={canvasWidth - width * 1} y={canvasHeight - height * 1.5}>{maxValue}</text>
    <text x={canvasWidth - width * 1.75} y={canvasHeight - height * 1.5}>{Math.round(maxValue*.25)}</text>
    <text x={canvasWidth - width * 1.5} y={canvasHeight - height * 1.5}>{Math.round(maxValue*.5)}</text>
    <text x={canvasWidth - width * 1.25} y={canvasHeight - height * 1.5}>{Math.round(maxValue*.75)}</text>
    <text x={canvasWidth - width * 2} y={canvasHeight - height * 1.5}>{minValue}</text>
  </>
  )
}
