import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'data-by-country.csv';

const row = d => {
  d.accessibilityErrors = + d['accessibility_errors'];
  d.accessibilityAlerts = + d['accessibility_alerts'];
  d.accessibilityFeatures = + d['accessibility_features'];
  d.contrastErrors = + d['contrast_errors'];
  const { country, accessibilityErrors, accessibilityAlerts, accessibilityFeatures, contrastErrors, code, opening, impact, presence, excellence } = d;
  const rowEntry = {
    country, accessibilityErrors, accessibilityAlerts, accessibilityFeatures, contrastErrors, code, opening, impact, presence, excellence
  }
  return rowEntry;
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
